import { jsx } from "react/jsx-runtime";
import { TokenXRUNE as TokenXRUNE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenXRUNE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "XRUNE", "data-name": "TokenXRUNE", ...props, children: /* @__PURE__ */ jsx(TokenXRUNE$1, { variant }) });
  }
);
TokenXRUNE.displayName = "TokenXRUNE";
Object.assign(TokenXRUNE, { isGdsIcon: true });
export {
  TokenXRUNE
};
